Table of Contents

## Name

im_insert - insert one image into another

## Synopsis

#include <vips/vips.h>

int im_insert(in, ins, out, x, y)
IMAGE *in, *insub, *out;
int x, y;

## Description

im_insert() inserts one image into another. ins is inserted into image in at position x, y relative to the top left hand corner of in. out is made large enough to hold all of both in and ins. Any areas of out not coming from either in or ins are set to black (binary 0). If ins overlaps in, ins will appear on top of in. Both images must have the same number of bands and the same BandFmt.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_extract(3) , im_lrjoin(3) , im_lrmerge(3)

## Copyright

J. Cupitt,

## Author

J. Cupitt - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author